# vim: set sw=4 ts=4 et nu:

Name:               libsmpeg
Version:            0.4.5
%define soname  0
%define libname %{name}-0_4-%{soname}
Release:            1.4
Summary:            SDL MPEG Library
Source:             libsmpeg-%{version}.tar.bz2
URL:                http://icculus.org/smpeg/
Group:              System/Libraries
License:            GNU Lesser General Public License version 2 or later (LGPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      gtk2-devel
BuildRequires:      SDL-devel
BuildRequires:      gcc-c++ make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool

%description
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder
and SPLAY, an mpeg audio decoder created by Woo-jae Jung. We have
completed the initial work to wed these two projects in order to 
create a general purpose MPEG video/audio player for the Linux OS. 

%package devel
Summary:            SDL MPEG Library
Group:              Development/Libraries/C and C++
Requires:           %{libname} = %{version}-%{release}

%description devel
Development environment for compiling and linking against %{name}.

%package -n %{libname}
Summary:            SDL MPEG Library
Group:              System/Libraries

%description -n %{libname}
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder
and SPLAY, an mpeg audio decoder created by Woo-jae Jung. We have
completed the initial work to wed these two projects in order to 
create a general purpose MPEG video/audio player for the Linux OS. 

%package -n glmovie
Summary:            OpenGL MPEG Player
Group:              Productivity/Multimedia/Video/Players
Requires:           %{libname} = %{version}

%description -n glmovie
OpenGL MPEG video player based on SDL and %{name}.

%package -n plaympeg
Summary:            MPEG Player
Group:              Productivity/Multimedia/Video/Players
Requires:           %{libname} = %{version}

%description -n plaympeg
Command-line MPEG video player based on SDL and %{name}.

%prep
%setup -q

%build
[ -e configure ] || NOCONFIGURE=1 ./autogen.sh

%configure \
    --disable-static

%__make %{?_smp_flags}

%install
%makeinstall

%__rm "%{buildroot}%{_mandir}/man1"/gtv.1*
%__rm "%{buildroot}%{_libdir}"/*.la

%post   -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -n glmovie
%defattr(-,root,root)
%{_bindir}/glmovie

%files -n plaympeg
%defattr(-,root,root)
%{_bindir}/plaympeg
%doc %{_mandir}/man1/plaympeg.1*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libsmpeg-0.4.so.%{soname}
%{_libdir}/libsmpeg-0.4.so.%{soname}.*

%files devel
%defattr(-,root,root)
%{_bindir}/smpeg-config
%{_includedir}/smpeg
%{_libdir}/libsmpeg.so
%{_datadir}/aclocal/smpeg.m4

%changelog
* Sun Oct 16 2011 pascal.bleser@opensuse.org
- initial version (0.4.5)
